Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 232702

Summary: Review Request: perl-Compress-Raw-Bzip2 - Low-Level Interface to bzip2 compression library
Product: [Fedora] Fedora Reporter: Steven Pritchard <steve>
Component: Package ReviewAssignee: Andreas Thienemann <andreas>
Status: CLOSED WONTFIX QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: robin.norwood
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-06-27 21:25:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201449, 232703    

Description Steven Pritchard 2007-03-16 18:18:34 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Compress-Raw-Bzip2/perl-Compress-Raw-Bzip2.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Compress-Raw-Bzip2-2.004-1.src.rpm
Description: 
Compress::Raw::Bzip2 provides an interface to the in-memory
compression/uncompression functions from the bzip2 compression library.

Comment 1 Andreas Thienemann 2007-03-17 19:14:49 UTC
+ source files match upstream:    ebe26a1ca9aae874eada7636cf779d33 
Compress-Raw-Bzip2-2.004.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ license is "GPL or Artistic".
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ $RPM_OPT_FLAGS are being used.
+ %clean is present.
+ package installs properly
+ debuginfo package contains data.
+ rpmlint is silent.
+ final provides and requires are sane:
== provides
Bzip2.so()(64bit)
perl(Compress::Raw::Bunzip2)
perl(Compress::Raw::Bzip2)
perl-Compress-Raw-Bzip2 = 2.004-1.fc7
== requires
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
perl >= 0:5.004
perl(:MODULE_COMPAT_5.8.8)
perl(AutoLoader)
perl(Carp)
perl(Exporter)
perl(bytes)
perl(constant)
perl(strict)
perl(warnings)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
- %check is present and all supported tests pass. However, Test::POD would be
useful as a BR
t/000prereq....ok
t/01bzip2......ok
t/99pod........skipped
        all skipped: Test::Pod 1.00 required for testing POD
All tests successful, 1 test skipped.
Files=3, Tests=158,  1 wallclock secs ( 0.27 cusr +  0.05 csys =  0.32 CPU)
+ no shared libraries are added to the regular linker search paths.
+ no duplication of system libraries.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.


MUST and SHOULD parts do look okay. I would suggest however adding a
BuildRequire for perl(Test::POD). That way you can prevent the skipping of the
third test.
Otherwise you can consider that package approved.

Comment 2 Steven Pritchard 2007-06-27 21:25:39 UTC
It looks like we got some wires crossed here...  There's a 
perl-Compress-Raw-Bzip2 in rawhide now that isn't this package.

Comment 3 Steven Pritchard 2007-06-27 22:20:48 UTC
Oops, closed with the wrong resolution.